PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
scheduling
/
contacts
/
{id}
Update a scheduling contact
curl --request PATCH \
  --url https://one-link.kz/api/v1/accounts/{account_id}/scheduling/contacts/{id} \
  --header 'Content-Type: application/json' \
  --header 'api_access_token: <api-key>' \
  --data '
{
  "full_name": "<string>",
  "name": "<string>",
  "phone": "<string>",
  "phone_number": "<string>",
  "identifier": "<string>",
  "iin": "<string>",
  "birth_date": "2023-12-25",
  "gender": "<string>",
  "company_id": 123,
  "custom_attributes": {}
}
'
{
  "payload": {
    "id": 123,
    "account_id": 123,
    "company_id": 123,
    "full_name": "<string>",
    "phone": "<string>",
    "identifier": "<string>",
    "birth_date": "2023-12-25",
    "gender": "<string>",
    "custom_attributes": {}
  }
}

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

account_id
integer
required

The numeric ID of the account

id
integer
required

Body

application/json
full_name
string
name
string
phone
string
phone_number
string
identifier
string
iin
string
birth_date
string<date>
gender
string
company_id
integer
custom_attributes
object

Response

Contact updated

payload
object